html{
    position: relative;
    min-height: 100%;
}
body{
    margin-bottom: 60px;
}
footer{
    background-color: #4f4f4f;
    color: white;
    height: 60px;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.jumbotron{
    background: #C5D2C7;
    background-size: cover;
}
.jumbotron p{
    font-size: 25px;
}
@media (max-width: 767px){
    .jumbotron h1{
        font-size: 60px;
        text-shadow : transparent;
    }
}
@media (max-width: 540px){
    .jumbotron h1{
        font-size: 50px;
    }
    .jumbotron p{
        font-size: 23px;
    }
}

.fondoCat{
    background:#DFE1DB;
}



.headerRegister, .header-primary{
    background: #009688;
    color: #FFF;
}
.headerUpdate{
    background: #336DFF;
    color: #FFF;
}


.panelCat{
    position: fixed;
    top:201px;
    margin-right: 30px;
}

/*Styles para el chat*/

.mdFormChat{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #232427;
    padding: 0 10px;
}

.wrapper{
    background: #fff;
    max-width: 450px;
    width: 100%;
    border-radius: 16px;
    box-shadow: 0 0 128px 0 rgba(0,0,0,0.1),
        0 32px 64px -48px rgba(0,0,0,0.5);
}


/* Users List CSS Start */
.users{
    padding: 25px 30px;
}
.users header,
.users-list a{
    display: flex;
    align-items: center;
    padding-bottom: 20px;
    border-bottom: 1px solid #e6e6e6;
    justify-content: space-between;
}
.wrapper img{
    object-fit: cover;
    border-radius: 50%;
}
.users header img{
    height: 30px;
    width: 50px;
}
:is(.users, .users-list) .content{
    display: flex;
    align-items: center;
}
:is(.users, .users-list) .content .details{
    color: #000;
    margin-left: 20px;
}
:is(.users, .users-list) .details span{
    font-size: 18px;
    font-weight: 500;
}
.users header .logout{
    display: block;
    background: #2196f3;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2);
    color: #fff;
    outline: none;
    border: none;
    padding: 7px 15px;
    text-decoration: none;
    border-radius: 5px;
    font-size: 17px;
}
.users .search{
    margin: 20px 0;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: space-between;
}
.users .search .text{
    font-size: 18px;
}
.users .search input{
    position: absolute;
    height: 42px;
    width: calc(100% - 50px);
    font-size: 16px;
    padding: 0 13px;
    border: 1px solid #e6e6e6;
    outline: none;
    border-radius: 5px 0 0 5px;
    opacity: 0;
    pointer-events: none;
    transition: all 0.2s ease;
}
.users .search input.show{
    opacity: 1;
    pointer-events: auto;
}
.users .search button{
    position: relative;
    z-index: 1;
    width: 47px;
    height: 42px;
    font-size: 17px;
    cursor: pointer;
    border: none;
    background: #fff;
    color: #2196f3;
    outline: none;
    border-radius: 0 5px 5px 0;
    transition: all 0.2s ease;
}
.users .search button.active{
    background: #2196f3;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2);
    color: #fff;
}
.search button.active i::before{
    content: '\f00d';
}
.users-list{
    max-height: 350px;
    overflow-y: auto;
}
:is(.users-list, .chat-box)::-webkit-scrollbar{
    width: 0px;
}
.users-list a{
    padding-bottom: 10px;
    margin-bottom: 15px;
    padding-right: 15px;
    border-bottom-color: #f1f1f1;
}
.users-list a:last-child{
    margin-bottom: 0px;
    border-bottom: none;
}
.users-list a img{
    height: 40px;
    width: 40px;
}
.users-list a .details p{
    color: #67676a;
}
.users-list a .status-dot{
    font-size: 12px;
    color: #468669;
    padding-left: 10px;
}
.users-list a .status-dot.offline{
    color: #ccc;
}

/* Chat Area CSS Start */
.chat-area header{
    display: flex;
    align-items: center;
    padding: 18px 30px;
}
.chat-area header .back-icon{
    color: #2196f3;
    font-size: 18px;
}
.chat-area header img{
    height: 45px;
    width: 45px;
    margin: 0 15px;
}
.chat-area header .details span{
    font-size: 17px;
    font-weight: 500;
}
.chat-box{
    position: relative;
    min-height: 500px;
    max-height: 500px;
    overflow-y: auto;
    padding: 10px 30px 20px 30px;
    background: #f7f7f7;
    box-shadow: inset 0 32px 32px -32px rgb(0 0 0 / 5%),
        inset 0 -32px 32px -32px rgb(0 0 0 / 5%);
}
.chat-box .text{
    position: absolute;
    top: 45%;
    left: 50%;
    width: calc(100% - 50px);
    text-align: center;
    transform: translate(-50%, -50%);
}
.chat-box .chat{
    margin: 15px 0;
}
.chat-box .chat p{
    word-wrap: break-word;
    padding: 8px 16px;
    box-shadow: 0 0 32px rgb(0 0 0 / 8%),
        0rem 16px 16px -16px rgb(0 0 0 / 10%);
}
.chat-box .outgoing{
    display: flex;
}
.chat-box .outgoing .details{
    margin-left: auto;
    max-width: calc(100% - 130px);
}
.outgoing .details p{
    background: #2196f3;
    color: #fff;
    border-radius: 18px 18px 0 18px;
}
.chat-box .incoming{
    display: flex;
    align-items: flex-end;
}
.chat-box .incoming img{
    height: 35px;
    width: 35px;
}
.chat-box .incoming .details{
    margin-right: auto;
    margin-left: 10px;
    max-width: calc(100% - 130px);
}
.incoming .details p{
    background: #fff;
    color: #333;
    border-radius: 18px 18px 18px 0;
}
.typing-area{
    padding: 18px 30px;
    display: flex;
    justify-content: space-between;
}
.typing-area input{
    height: 45px;
    width: calc(100% - 58px);
    font-size: 16px;
    padding: 0 13px;
    border: 1px solid #e6e6e6;
    outline: none;
    border-radius: 5px 0 0 5px;
}
.typing-area button{
    color: #fff;
    width: 55px;
    border: none;
    outline: none;
    background: #2196f3;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2);
    font-size: 19px;
    cursor: pointer;
    opacity: 0.7;
    pointer-events: none;
    border-radius: 0 5px 5px 0;
    transition: all 0.3s ease;
}
.typing-area button.active{
    opacity: 1;
    pointer-events: auto;
}

/* Responive media query */
@media screen and (max-width: 450px) {
    .form, .users{
        padding: 20px;
    }
    .form header{
        text-align: center;
    }
    .form form .name-details{
        flex-direction: column;
    }
    .form .name-details .field:first-child{
        margin-right: 0px;
    }
    .form .name-details .field:last-child{
        margin-left: 0px;
    }

    .users header img{
        height: 45px;
        width: 45px;
    }
    .users header .logout{
        padding: 6px 10px;
        font-size: 16px;
    }
    :is(.users, .users-list) .content .details{
        margin-left: 15px;
    }

    .users-list a{
        padding-right: 10px;
    }

    .chat-area header{
        padding: 15px 20px;
    }
    .chat-box{
        min-height: 400px;
        padding: 10px 15px 15px 20px;
    }
    .chat-box .chat p{
        font-size: 15px;
    }
    .chat-box .outogoing .details{
        max-width: 230px;
    }
    .chat-box .incoming .details{
        max-width: 265px;
    }
    .incoming .details img{
        height: 30px;
        width: 30px;
    }
    .chat-area form{
        padding: 20px;
    }
    .chat-area form input{
        height: 40px;
        width: calc(100% - 48px);
    }
    .chat-area form button{
        width: 45px;
    }
}

/*Styles para la portada del perfil */
.prevPhoto {
    display: flex;
    justify-content: space-between;
    width: 300px;
    height: 200px;
    border: 1px solid #CCC;
    position: relative;
    cursor: pointer;
    background: url(../img/perfil/perfil-portada.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    margin: auto;
}
.prevPortada{
    width: 100%;
    min-width: 200px;
    background: none;
}
.prevPhoto label{
    cursor: pointer;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}
.prevPhoto img{
    width: 100%;
    height: 100%;
}
.upimg, .notblock{
    display: none !important;
}
.errorArchivo{
    font-size: 16px;
    font-family: arial;
    color: #cc0000;
    text-align: center;
    font-weight: bold; 
    margin-top: 10px;
}
.delPhoto{
    color: #FFF;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    background: red;
    position: absolute;
    right: -10px;
    top: -10px;
    z-index: 10;
}

.imgProductoDelete{
    width: 175px;
}

#imgCategoria{
    text-align: center;
}
#imgCategoria img{
    width: 200px;
    margin: auto;
}


